/**
 * File: utils.ts
 * Description: 常用工具函数
 * Created: 2021-08-12 15:55:26
 * Author: yuzhanglong
 * Email: yuzl1123@163.com
 */
export declare function removeWWWAndProtocol(url: string): string;
export declare function getUrlPaths(url: string): string[];
/**
 * 给定一个 basePath 和一个 providedPath, 判断 providePath 的全段是否为 base 的子集（起始 position 要相同）
 * base ['foo', 'bar', 'baz', 'quz']
 * provide ['foo', 'bar', 'baz']
 * return {samePaths:['foo', 'bar', 'baz'], otherPaths: ['quz']}
 * @author yuzhanglong
 * @date 2021-08-13 00:19:11
 */
export declare function comparePathAndGetDivision(basePath: string[], providedPath: string[]): {
    samePaths: string[];
    otherPaths: string[];
    dividedPos: number;
};
/**
 * 分离 connect 方法的 url
 *
 * @author yuzhanglong
 * @date 2021-10-18 00:16:10
 */
export declare const divideConnectMethodReqUrl: (url: string) => {
    domain: string;
    port: number;
};
