import type { CertificateCreationOptions, CertificateCreationResult } from 'pem';
interface Certification {
    key: string;
    cert: string;
}
export declare class CertificationManager {
    private rootCertification;
    private certificationCachedMap;
    /**
     * 创建 CA 证书
     *
     * @author yuzhanglong
     * @date 2021-08-11 00:28:42
     * @param option pem 库关于 ca 的配置
     */
    static createCertification(option: CertificateCreationOptions): Promise<CertificateCreationResult>;
    /**
     * 基于域名创建一个 CA 证书
     *
     * @author yuzhanglong
     * @date 2021-08-11 00:43:52
     * @param domain 域名
     */
    createCertificationByDomain(domain: string): Promise<Certification>;
}
export {};
