"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProxyPassMiddleware = void 0;
const https = __importStar(require("https"));
const http = __importStar(require("http"));
function createProxyPassMiddleware() {
    return (ctx) => {
        const { incomingRequestData, proxyServerResponse, urlInstance } = ctx;
        const client = urlInstance.protocol === 'https:' ? https : http;
        // 向真正的服务器发送消息
        const options = {
            headers: incomingRequestData.headers,
            method: incomingRequestData.method,
            port: urlInstance.port,
            timeout: 3000,
            rejectUnauthorized: false,
        };
        const requestToRealServer = client.request(urlInstance.toString(), options, (realServerResponse) => {
            // 覆写 proxyServerResponse, 即用户实际接收到的内容
            proxyServerResponse.statusCode = realServerResponse.statusCode;
            proxyServerResponse.statusMessage = realServerResponse.statusMessage;
            // 添加 proxy 相关的请求头
            proxyServerResponse.setHeader('x-response-from', '@attachments/proxy');
            const headers = Object.entries(realServerResponse.headers);
            for (const [k, v] of headers)
                proxyServerResponse.setHeader(k, v);
            // 连接真实服务器的响应流(可读流)和代理服务器的响应流(可写流)
            realServerResponse.pipe(proxyServerResponse);
            realServerResponse.on('error', (e) => {
                console.log(e);
            });
        });
        requestToRealServer.end();
        requestToRealServer.on('error', (e) => {
            console.log(e);
        });
    };
}
exports.createProxyPassMiddleware = createProxyPassMiddleware;
//# sourceMappingURL=proxy-pass-middleware.js.map