"use strict";
/**
 * File: proxy-rule-middleware.ts
 * Description: 代理规则中间件
 * Created: 2021-08-12 10:57:34
 * Author: yuzhanglong
 * Email: yuzl1123@163.com
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProxyRuleMiddleware = void 0;
function createProxyRuleMiddleware(ruleManager) {
    return async (context, next) => {
        const { urlInstance } = context;
        const resUrl = ruleManager.getProxyPassUrl(urlInstance);
        if (resUrl) {
            console.log(`[@attachments/proxy] proxy-make-effect: ${urlInstance.toString()} => ${resUrl.toString()}`);
            context.urlInstance = resUrl;
        }
        return next();
    };
}
exports.createProxyRuleMiddleware = createProxyRuleMiddleware;
//# sourceMappingURL=proxy-rule-middleware.js.map