import type { RuleConfig } from './types';
export declare class ProxyServer {
    private proxyServer;
    private httpsServer;
    private ruleManager;
    private certificationManager;
    /**
     * 初始化必要的服务
     *
     * @author yuzhanglong
     * @date 2021-08-11 00:48:00
     */
    initServers(): Promise<void>;
    /**
     * 监听端口
     *
     * @author yuzhanglong
     * @date 2021-08-11 13:07:59
     */
    listen(): Promise<void>;
    /**
     * 增加代理规则
     *
     * @author yuzhanglong
     * @date 2021-08-09 00:11:39
     * @param domain
     * @param ruleConfig
     */
    addRule(domain: string, ...ruleConfig: RuleConfig[]): void;
    /**
     * 清除所有的代理规则
     *
     * @author yuzhanglong
     * @date 2021-12-16 00:12:46
     */
    clearRules(): void;
}
