/// <reference types="node" />
import type { IncomingMessage, ServerResponse } from 'http';
import type { Socket } from 'net';
import type { Middleware } from 'koa-compose';
export interface ProxyServerContext {
    incomingRequestData: IncomingMessage;
    proxyServerResponse?: ServerResponse;
    protocol?: string;
    urlInstance?: URL;
    socketBetweenClientAndProxyServer?: Socket;
    head?: Buffer;
}
export interface RuleConfig {
    location: string;
    proxyPass: string;
}
export declare type ProxyServerMiddleware = Middleware<ProxyServerContext>;
